सामग्री पर जाएँ

Hunyuan3D

इंटीग्रेट करें

मॉडल id hunyuan3d/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan3d/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.16 160 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Tencent इमेज से 3D #stylized

एक संदर्भ इमेज को 3D मेश में बदलता है, जिसमें वैकल्पिक टेक्सचरिंग और समायोज्य ऑक्ट्री विवरण होता है

Tencent · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

3D मॉडल निर्माण के लिए उपयोग किया गया इमेज URL।

उन्नत num_inference_steps · guidance_scale · octree_resolution · seed
डिफ़ॉल्ट 50

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 7.5

मॉडल पर लागू guidance का स्केल।

डिफ़ॉल्ट 256

मॉडल के octree का रिज़ॉल्यूशन।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

POST /run/hunyuan3d/v2?wait=20 कोटेशन → $0.16
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan3d/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Hunyuan3D के बारे में

`input_image_url` के रूप में दी गई एकल तस्वीर से 3D एसेट बनाता है। टेक्सचर वाला परिणाम पाने के लिए `textured_mesh` को true पर सेट करें; डिफ़ॉल्ट रूप से यह बंद है। `octree_resolution` 1 से 1024 तक (डिफ़ॉल्ट 256), `num_inference_steps` अधिकतम 50 तक और `guidance_scale` 0 से 20 तक होता है। `seed` परिणामों को दोहराने योग्य बनाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
input_image_urlआवश्यक
प्रकारurl · image
3D मॉडल निर्माण के लिए उपयोग किया गया इमेज URL।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट50
1 – 50
चलाए जाने वाले inference चरणों की संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट7.5
0 – 20
मॉडल पर लागू guidance का स्केल।
octree_resolutionवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट256
1 – 1,024
मॉडल के octree का रिज़ॉल्यूशन।
textured_meshवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 160,
    "usd": "0.16",
    "charged": 160,
    "refunded": 0
  },
  "input": {
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_mesh
object {url, content_type, file_name, file_size}निर्मित 3D ऑब्जेक्ट वाली फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया seed।

और मॉडल: इमेज से 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/hunyuan3d/v2.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt